<?php



class DaoBlogMateria extends conexao {

     

    public function PesquisarBlog($codigo)  {
        $sql = " SELECT * FROM blog WHERE blo_id = ? ";
        $stmt = self::conectar()->prepare($sql);
        $stmt->bindValue(1, $codigo);
        $stmt->execute();
        $result = $stmt->fetchAll(PDO::FETCH_ASSOC);
        return $result;
    }

    public function ListarBlogs() {
        $sql = " SELECT * FROM blog ORDER BY blo_id ";
        $stmt = self::conectar()->prepare($sql);
        $stmt->execute();
        $result = $stmt->fetchAll(PDO::FETCH_ASSOC);
        return $result;
    }

    public function ListarUltimasPostagensBlogs() {
        $sql = " SELECT * FROM blog ORDER BY blo_id limit 0,4";
        $stmt = self::conectar()->prepare($sql);
        $stmt->execute();
        $result = $stmt->fetchAll(PDO::FETCH_ASSOC);
        return $result;
    }


    public function ListarComentarios($codigo) {
        $sql = " SELECT * FROM blog_comentario WHERE blc_blo_id = ? ORDER BY blc_id desc";
        $stmt = self::conectar()->prepare($sql);
		$stmt->bindValue(1, $codigo);
        $stmt->execute();
        $result = $stmt->fetchAll(PDO::FETCH_ASSOC);
        return $result;
    }


    public function TresUltimasMaterias() {
        $sql = " SELECT * FROM blog ORDER BY blo_id desc limit 0,3";
        $stmt = self::conectar()->prepare($sql);
        $stmt->execute();
        $result = $stmt->fetchAll(PDO::FETCH_ASSOC);
        return $result;
    }


    public function paginacaoBlog($page) {
 
        //Quantidade de máterias exibidasa
        $quantidade = 3;
        //Pagina atual
        $pagina     = (isset($page)) ? (int) $page : 1;
        //Calcula a pagina de qual valor será exibido
        $inicio     = ($quantidade * $pagina) - $quantidade;

        $sql = " SELECT * FROM blog ORDER BY blo_id desc LIMIT  $inicio, $quantidade";
        $stmt = self::conectar()->prepare($sql);
        $stmt->execute();
        $result = $stmt->fetchAll(PDO::FETCH_ASSOC);
        return $result;
    }

    public function paginacaoBlogCategoria($page, $categoria) {
 
        //Quantidade de máterias exibidasa
        $quantidade = 3;
        //Pagina atual
        $pagina     = (isset($page)) ? (int) $page : 1;
        //Calcula a pagina de qual valor será exibido
        $inicio     = ($quantidade * $pagina) - $quantidade;

        $sql = " SELECT * FROM blog 
                 LEFT JOIN blog_categoria ON blo_categoria = blc_id
                WHERE blc_nome like ? ORDER BY blo_id desc ";//LIMIT  $inicio, $quantidade
        $stmt = self::conectar()->prepare($sql);
        $stmt->bindValue(1, '%'.$categoria.'%');
        $stmt->execute();
        $result = $stmt->fetchAll(PDO::FETCH_ASSOC);
        return $result;
    }



    public function ListarCategorias() {
        $sql = "SELECT  COUNT(blo_categoria) as qtd, blc_id, blc_nome FROM blog_categoria
                LEFT JOIN blog ON blo_categoria = blc_id
                GROUP BY blc_nome";
        $stmt = self::conectar()->prepare($sql);

        $stmt->execute();
        $result = $stmt->fetchAll(PDO::FETCH_ASSOC);
        return $result;
    }

    public function PesquisarComentarios($codigo)  {
        $sql = " SELECT * FROM blog_comentario WHERE blc_blo_id = ? ";
        $stmt = self::conectar()->prepare($sql);
        $stmt->bindValue(1, $codigo);
        $stmt->execute();
        $result = $stmt->fetchAll(PDO::FETCH_ASSOC);
        return $result;
    }


    public function  cadastrarComentario($blc_blo_id, $blc_nome, $blc_email, $blc_comentario ){
        try {
                $sql = " INSERT INTO blog_comentario (blc_blo_id, blc_nome, blc_email, blc_comentario)
                            VALUES (?,?,?,?)";
                $stmt = self::conectar()->prepare($sql);
                $stmt->bindValue(1, $blc_blo_id);
                $stmt->bindValue(2, $blc_nome);
                $stmt->bindValue(3, $blc_email);
                $stmt->bindValue(4, $blc_comentario);
  
            if ($stmt->execute()) 
                return true;
            else 
                return false;
        }
        catch(Exception $e)  {
            print "Erro ao tentar atualizar: " . $e;
        }
    }
	
	
	public function deletar($blc_id){		
		$sql = " DELETE FROM blog_comentario WHERE blc_id = ? ";
		$stmt = self::conectar()->prepare($sql);
		$stmt->bindValue(1, $blc_id); 
		$stmt->execute();
	}



   
}

?>
